import App
import Foundation

abbrev = 'HaydenNX'
iconName = 'Hayden'
longName = 'USS Hayden-NX'
shipFile = 'HaydenNX'
species = App.SPECIES_GALAXY
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = 'Hayden Class'

Foundation.ShipDef.HaydenNX = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })
Foundation.ShipDef.HaydenNX.dTechs = { 'Breen Drainer Immune': 1, 'Ablative Armour': 3000 }

Foundation.ShipDef.HaydenNX.fMaxWarp = 9.95
Foundation.ShipDef.HaydenNX.fCruiseWarp = 8.2
Foundation.ShipDef.HaydenNX.desc = "U.S.S. Hayden NX-90150\nArmed Scout/Destroyer\n\nThe Haydens, under the direct supervision of Starfleet Operations, usually venture off known shipping lanes and tend to avoid making first contacts as much as possible (leaving that sort diplomatic tasks to a ships of the line).  Their sensor-packed pods are directly connected to the nacelles and as a result feed off of them, making them very powerful. Hayden Class ships are heavily armed but if they ever find themselves in a fight their main rescue is their sheer speed and manuverability.  Outside of the shipping lanes things can get a little rough, though, especially when there are people operating there who don't want others to know what they're up to, like the Pirate Cartels. To counter that threat, Haydens have the latest ablative armour generators installed, deploying a 3cm thick shell when needed as well as multivectoral shielding; this has helped in more than one occasion to get a Hayden out of trouble and back to the relative safety of a space station or friendly territory.  Data collection is the most important task these ships have and they are intended to return that precious data back to the Federation.\n\nIt is rumored that Section 31 uses an adapted version of the Hayden, complete with a phased cloaking device, but this has not been confirmed."

if menuGroup:           Foundation.ShipDef.HaydenNX.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.HaydenNX.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SDTEntry(self):
      retval = {'Textures': [['hayden2_glow.tga', 'data/Models/Ships/Hayden/nxhayden2_glow.tga']]}
      return retval

Foundation.ShipDef.HaydenNX.__dict__['SDT Entry'] = SDTEntry



abbrev = 'Hayden'
iconName = 'Hayden'
longName = 'USS Hayden'
shipFile = 'Hayden'
species = App.SPECIES_GALAXY
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = 'Hayden Class'

Foundation.ShipDef.Hayden = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })
Foundation.ShipDef.Hayden.dTechs = { 'Breen Drainer Immune': 1, 'Ablative Armour': 3000, 'Multivectral Shields': 75 }

Foundation.ShipDef.Hayden.fMaxWarp = 9.95
Foundation.ShipDef.Hayden.fCruiseWarp = 8.2
Foundation.ShipDef.Hayden.desc = "U.S.S. Hayden USS-90150\nArmed Scout/Destroyer\n\nThe Haydens, under the direct supervision of Starfleet Operations, usually venture off known shipping lanes and tend to avoid making first contacts as much as possible (leaving that sort diplomatic tasks to a ships of the line).  Their sensor-packed pods are directly connected to the nacelles and as a result feed off of them, making them very powerful. Hayden Class ships are heavily armed but if they ever find themselves in a fight their main rescue is their sheer speed and manuverability.  Outside of the shipping lanes things can get a little rough, though, especially when there are people operating there who don't want others to know what they're up to, like the Pirate Cartels. To counter that threat, Haydens have the latest ablative armour generators installed, deploying a 3cm thick shell when needed as well as multivectoral shielding; this has helped in more than one occasion to get a Hayden out of trouble and back to the relative safety of a space station or friendly territory.  Data collection is the most important task these ships have and they are intended to return that precious data back to the Federation.\n\nIt is rumored that Section 31 uses an adapted version of the Hayden, complete with a phased phased cloaking device, but this has not been confirmed."

if menuGroup:           Foundation.ShipDef.Hayden.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Hayden.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]



abbrev = 'Eisenga'
iconName = 'Hayden'
longName = 'USS Eisenga'
shipFile = 'Eisenga'
species = App.SPECIES_GALAXY
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'

Foundation.ShipDef.Eisenga = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })
Foundation.ShipDef.Eisenga.dTechs = { 'Breen Drainer Immune': 1, 'Ablative Armour': 3000, 'Multivectral Shields': 75 }

Foundation.ShipDef.Eisenga.fMaxWarp = 9.95
Foundation.ShipDef.Eisenga.fCruiseWarp = 8.2
Foundation.ShipDef.Eisenga.desc = "U.S.S. Eisenga NCC-90151\nArmed Scout/Destroyer\n\nThe Haydens, under the direct supervision of Starfleet Operations, usually venture off known shipping lanes and tend to avoid making first contacts as much as possible (leaving that sort diplomatic tasks to a ships of the line).  Their sensor-packed pods are directly connected to the nacelles and as a result feed off of them, making them very powerful. Hayden Class ships are heavily armed but if they ever find themselves in a fight their main rescue is their sheer speed and manuverability.  Outside of the shipping lanes things can get a little rough, though, especially when there are people operating there who don't want others to know what they're up to, like the Pirate Cartels. To counter that threat, Haydens have the latest ablative armour generators installed, deploying a 3cm thick shell when needed as well as multivectoral shielding; this has helped in more than one occasion to get a Hayden out of trouble and back to the relative safety of a space station or friendly territory.  Data collection is the most important task these ships have and they are intended to return that precious data back to the Federation.\n\nIt is rumored that Section 31 uses an adapted version of the Hayden, complete with a phased cloaking device, but this has not been confirmed."

if menuGroup:           Foundation.ShipDef.Eisenga.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Eisenga.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SDTEntry(self):
      retval = {'Textures': [['hayden2_glow.tga', 'data/Models/Ships/Hayden/eisenga2_glow.tga']]}
      return retval

Foundation.ShipDef.Eisenga.__dict__['SDT Entry'] = SDTEntry



abbrev = 'Adler'
iconName = 'Hayden'
longName = 'USS Adler'
shipFile = 'Adler'
species = App.SPECIES_GALAXY
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'

Foundation.ShipDef.Adler = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })
Foundation.ShipDef.Adler.dTechs = { 'Breen Drainer Immune': 1, 'Ablative Armour': 3000, 'Multivectral Shields': 75 }

Foundation.ShipDef.Adler.fMaxWarp = 9.95
Foundation.ShipDef.Adler.fCruiseWarp = 8.2
Foundation.ShipDef.Adler.desc = "U.S.S. Adler NCC-90152\nArmed Scout/Destroyer\n\nThe Haydens, under the direct supervision of Starfleet Operations, usually venture off known shipping lanes and tend to avoid making first contacts as much as possible (leaving that sort diplomatic tasks to a ships of the line).  Their sensor-packed pods are directly connected to the nacelles and as a result feed off of them, making them very powerful. Hayden Class ships are heavily armed but if they ever find themselves in a fight their main rescue is their sheer speed and manuverability.  Outside of the shipping lanes things can get a little rough, though, especially when there are people operating there who don't want others to know what they're up to, like the Pirate Cartels. To counter that threat, Haydens have the latest ablative armour generators installed, deploying a 3cm thick shell when needed as well as multivectoral shielding; this has helped in more than one occasion to get a Hayden out of trouble and back to the relative safety of a space station or friendly territory.  Data collection is the most important task these ships have and they are intended to return that precious data back to the Federation.\n\nIt is rumored that Section 31 uses an adapted version of the Hayden, complete with a phased cloaking device, but this has not been confirmed."

if menuGroup:           Foundation.ShipDef.Adler.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Adler.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SDTEntry(self):
      retval = {'Textures': [['hayden2_glow.tga', 'data/Models/Ships/Hayden/adler2_glow.tga']]}
      return retval

Foundation.ShipDef.Adler.__dict__['SDT Entry'] = SDTEntry



abbrev = 'Shadow'
iconName = 'Shadow'
longName = 'USS Shadow S31'
shipFile = 'Shadow'
species = App.SPECIES_GALAXY
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'

Foundation.ShipDef.Shadow = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })
Foundation.ShipDef.Shadow.dTechs = { 'Breen Drainer Immune': 1, 'Ablative Armour': 4500, 'Multivectral Shields': 75, 'Phase Cloak': 3}

Foundation.ShipDef.Shadow.fMaxWarp = 9.95
Foundation.ShipDef.Shadow.fCruiseWarp = 8.2
Foundation.ShipDef.Shadow.desc = "U.S.S. Shadow S31-H-013\n\nStarfleet Command can neither confirm nor deny the existence of a covert operations branch known as Section 31 and said branch's use of a modified Hayden class starship."

if menuGroup:           Foundation.ShipDef.Shadow.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Shadow.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SDTEntry(self):
      retval = {'Textures': [['hayden1_glow.tga', 'data/Models/Ships/Hayden/s31shadow1_glow.tga'],
                             ['hayden2_glow.tga', 'data/Models/Ships/Hayden/s31shadow2_glow.tga']]}
      return retval

Foundation.ShipDef.Shadow.__dict__['SDT Entry'] = SDTEntry

